The Apache Haus Forum

Advanced search  

News:

Welcome to Apache Haus Distribution Forum

Pages: [1]   Go Down

Author Topic: Download filenames of x64 and x86 versions of mod_fastcgi swapped?  (Read 1061 times)

RayH

  • Newbie
  • *
  • Offline Offline
  • Posts: 1

I was having all sorts of problems loading mod_fastcgi after downloading the VC14 version from the Apache Haus site on Windows 7 x64.

I was getting an error:
httpd.exe: Syntax error on line 536 of D:/nms/Apache24x64/conf/httpd.conf: Cannot load modules/mod_fastcgi.so into server: %1 is not a valid Win32 application.

The server was version Apache 2.4.25 x64 from download file httpd-2.4.25-x64-vc14-r1.zip which did not work with mod_fastcgi-2.4.7.1-2.4.x-x64-vc14 but it did work with mod_fastcgi-2.4.7.1-2.4.x-x86-vc14 when I got desparate/clever enough to try that.

So it looks to me like the filenames have been switched on the x64 and x86 versions of the downloadable binaries of mod_fastcgi.

Hope this saves someone else some time.
Logged

Gregg

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 831
Re: Download filenames of x64 and x86 versions of mod_fastcgi swapped?
« Reply #1 on: May 17, 2017, 06:21:56 PM »

Thanks for the report! I've fixed it so no one else should have this problem.

I'm sorry they were switched. It doesn't happen often (like only once or twice before since 2008) but because almost all modules are packaged by hand rather than scripted like the servers, there's always room for error.
Logged
Pages: [1]   Go Up
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13